Page MenuHomePhabricator

Improve code contribution guidelines for patch authors
Closed, ResolvedPublic

Description

This task item was mentioned as one topic in the Developer Summit session T114419 and hence is a subtask of T101686. See also T207.

Task summary to be improved - please edit.

Improve initial quality of contributed patchsets and communicate expectations.

Actions:

Intention: Improve the situation described in https://www.mediawiki.org/wiki/User:AKlapper_%28WMF%29/Code_Review#Poor_quality_of_contributors.27_patches (and to some extend https://www.mediawiki.org/wiki/User:AKlapper_%28WMF%29/Code_Review#Workload_of_existing_reviewers )

Related Objects

StatusAssignedTask
ResolvedQgil
ResolvedDicortazar
DuplicateQgil
ResolvedQgil
ResolvedQgil
Resolvedgreg
InvalidNone
InvalidNone
ResolvedQgil
ResolvedAklapper
OpenNone
DeclinedNone
OpenNone
ResolvedAklapper
ResolvedAklapper
ResolvedAklapper
ResolvedDicortazar
ResolvedDicortazar
ResolvedAcs
ResolvedDicortazar
ResolvedDicortazar
ResolvedDicortazar
ResolvedDicortazar
ResolvedDicortazar
ResolvedDicortazar
InvalidDicortazar
ResolvedDicortazar
ResolvedDicortazar
ResolvedAklapper
ResolvedDicortazar
ResolvedDicortazar
DuplicateNone
ResolvedDicortazar
ResolvedBawolff
Resolvedmmodell
ResolvedNone
Resolvedmmodell
ResolvedLegoktm
Resolvedtstarling
Resolvedgreg
ResolvedAklapper
ResolvedAklapper
ResolvedAklapper
ResolvedAklapper
ResolvedNone

Event Timeline

Aklapper updated the task description. (Show Details)Mar 7 2016, 7:14 PM
Aklapper claimed this task.Mar 14 2016, 8:50 PM
Aklapper triaged this task as Low priority.

I'm tentatively assigning this task to myself for the next quarter (April-June 2016) but if someone wants to work on this task earlier, please go ahead!

Aklapper raised the priority of this task from Low to Normal.Apr 25 2016, 3:18 PM
greg awarded a token.May 13 2016, 6:06 PM

Note to myself: Make sure that https://www.mediawiki.org/wiki/Gerrit/Tutorial#How_code_is_reviewed_in_Gerrit only covers technical, Gerrit specific, review aspects and is different from "generic" https://www.mediawiki.org/wiki/Gerrit/Code_review/Getting_reviews

Aklapper raised the priority of this task from Normal to High.May 30 2016, 8:16 AM

Planning to resolve this task this week.
Watch https://www.mediawiki.org/wiki/Gerrit/Code_review/Getting_reviews for changes.

Aklapper closed this task as Resolved.EditedJun 26 2016, 1:27 PM

Things take longer (sigh) but https://www.mediawiki.org/wiki/Gerrit/Code_review/Getting_reviews now lists prerequisite expectations; expectations about the patch (scope, testing, docs); and dealing with obstacles (no timely review and further reasons for rework or rejection).

28 edits later:
https://www.mediawiki.org/w/index.php?title=Gerrit%2FCode_review%2FGetting_reviews&type=revision&diff=2163333&oldid=1910448

I'm closing this task as it seems sufficient.

Further improvements encouraged. Dropped an email on wikitech-l about this.

Qgil awarded a token.Jun 28 2016, 8:34 PM